-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.84-log


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema squidtl
--

CREATE DATABASE IF NOT EXISTS squidtl;
USE squidtl;

--
-- Definition of table `squidtl`.`DB_Access`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Access`;
CREATE TABLE  `squidtl`.`DB_Access` (
  `ID` int(11) NOT NULL auto_increment,
  `Src` varchar(30) NOT NULL,
  `Domain` varchar(255) NOT NULL,
  `FullUrl` text NOT NULL,
  `Ident` varchar(255) NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `squidtl`.`DB_Access`
--

/*!40000 ALTER TABLE `DB_Access` DISABLE KEYS */;
LOCK TABLES `DB_Access` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `DB_Access` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`DB_Events`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Events`;
CREATE TABLE  `squidtl`.`DB_Events` (
  `ID` int(11) NOT NULL auto_increment,
  `RulesID` int(11) default NULL,
  `Src` varchar(30) NOT NULL,
  `Ident` varchar(255) NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `squidtl`.`DB_Events`
--

/*!40000 ALTER TABLE `DB_Events` DISABLE KEYS */;
LOCK TABLES `DB_Events` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `DB_Events` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`DB_Groups`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Groups`;
CREATE TABLE  `squidtl`.`DB_Groups` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(255) NOT NULL,
  `Description` text NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `squidtl`.`DB_Groups`
--

/*!40000 ALTER TABLE `DB_Groups` DISABLE KEYS */;
LOCK TABLES `DB_Groups` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `DB_Groups` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`DB_Rules`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Rules`;
CREATE TABLE  `squidtl`.`DB_Rules` (
  `ID` int(11) NOT NULL auto_increment,
  `Type` varchar(30) NOT NULL,
  `Value` varchar(255) NOT NULL,
  `Action` varchar(32) NOT NULL,
  `MaxHits` int(11) NOT NULL,
  `TimeSlice` int(11) NOT NULL,
  `redirectUrl` varchar(255) NOT NULL,
  `Description` text NOT NULL,
  `isActive` tinyint(1) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `squidtl`.`DB_Rules`
--

/*!40000 ALTER TABLE `DB_Rules` DISABLE KEYS */;
LOCK TABLES `DB_Rules` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `DB_Rules` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`DB_Sessions`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Sessions`;
CREATE TABLE  `squidtl`.`DB_Sessions` (
  `ID` varchar(64) NOT NULL,
  `Username` varchar(255) NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `LastUpdate` timestamp NOT NULL default '0000-00-00 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Sessioni utente';

--
-- Dumping data for table `squidtl`.`DB_Sessions`
--

/*!40000 ALTER TABLE `DB_Sessions` DISABLE KEYS */;
LOCK TABLES `DB_Sessions` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `DB_Sessions` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`DB_Users`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Users`;
CREATE TABLE  `squidtl`.`DB_Users` (
  `Username` varchar(255) NOT NULL,
  `Password` varchar(255) NOT NULL,
  `Type` tinyint(3) NOT NULL,
  `IdentifiedBy` varchar(32) NOT NULL,
  `Value` varchar(255) NOT NULL,
  `Note` text NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `LastLogin` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  USING BTREE (`Username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Utenti di SquidTL';

--
-- Dumping data for table `squidtl`.`DB_Users`
--

/*!40000 ALTER TABLE `DB_Users` DISABLE KEYS */;
LOCK TABLES `DB_Users` WRITE;
INSERT INTO `squidtl`.`DB_Users` VALUES  ('admin','*4ACFE3202A5FF5CF467898FC58AAB1D615029441',5,'','','Administrator','2009-12-01 10:59:43','0000-00-00 00:00:00');
UNLOCK TABLES;
/*!40000 ALTER TABLE `DB_Users` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`RulesGroup`
--

DROP TABLE IF EXISTS `squidtl`.`RulesGroup`;
CREATE TABLE  `squidtl`.`RulesGroup` (
  `ID` int(11) NOT NULL auto_increment,
  `RuleID` int(11) NOT NULL,
  `GroupID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='Legame Regole-Gruppi';

--
-- Dumping data for table `squidtl`.`RulesGroup`
--

/*!40000 ALTER TABLE `RulesGroup` DISABLE KEYS */;
LOCK TABLES `RulesGroup` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `RulesGroup` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`UserGroup`
--

DROP TABLE IF EXISTS `squidtl`.`UserGroup`;
CREATE TABLE  `squidtl`.`UserGroup` (
  `ID` int(11) NOT NULL auto_increment,
  `UserID` varchar(255) NOT NULL,
  `GroupID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `IdxUnique` (`UserID`,`GroupID`),
  KEY `new_index` (`UserID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Legame Utenti-Gruppi';

--
-- Dumping data for table `squidtl`.`UserGroup`
--

/*!40000 ALTER TABLE `UserGroup` DISABLE KEYS */;
LOCK TABLES `UserGroup` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `UserGroup` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
